%define ver_major 2.10
%def_enable man
%def_enable info

Name: yelp
Version: %ver_major.0
Release: alt1

Summary: Lightwight help browser for GNOME
License: GPL
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define GConf_ver 2.10.0
%define ORBit_ver 2.12.1
%define libgnome_ver 2.10.0
%define libgnomeui_ver 2.10.0
%define libbonoboui_ver 2.8.1
%define libxslt_ver 1.1.12
%define gnome_vfs_ver 2.10.0

PreReq: GConf2 >= %GConf_ver
Requires: gnome-doc-utils
Requires: libORBit2 >= %ORBit_ver
Requires: libgnome >= %libgnome_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: libbonoboui >= %libbonoboui_ver
Requires: libxslt >= %libxslt_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver

BuildPreReq: ORBit2-devel >= %ORBit_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver
BuildPreReq: libxslt-devel >= %libxslt_ver
BuildPreReq: menu-devel

# Automatically added by buildreq on Fri Apr 08 2005 (-bi)
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs bzlib-devel esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-doc-utils gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgcrypt-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgpg-error-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel libxslt-devel mozilla-devel perl-XML-Parser pkgconfig zlib-devel

%description
Yelp is the default help browser for the GNOME desktop. Yelp provides
a simple graphical interface for viewing DocBook, HTML, man, and info
formatted documentation. The name Yelp was suggested by Daniel Lundin.
Yelp is pronounced the same as the swedish word for 'help'.

%define _libexecdir %_libdir/%name

%prep
%setup -q

%build
%configure \
    --disable-install-schemas \
    %{subst_enable man} \
    %{subst_enable info}

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Documentation" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# yelp-pregenerate macro
%__mkdir_p %buildroot%_sysconfdir/rpm/macros.d
%__cat <<__EOF__ >%buildroot%_sysconfdir/rpm/macros.d/%name
%%_yelp_pregenerate_bin %%_bindir/yelp-pregenerate
%%yelp_pregenerate() \\
for h in %%*; do \\
    if [ -x %%_yelp_pregenerate_bin ]; then \\
	%%_yelp_pregenerate_bin \\
	%%_datadir/gnome/help/\$h/*/*.xml >/dev/null 2>&1 \\
    fi \\
done \\
%%nil
__EOF__

%__mkdir_p %buildroot%_sysconfdir/buildreqs/files/ignore.d
%__cat <<__EOF__ >%buildroot%_sysconfdir/buildreqs/files/ignore.d/%name
^%_sysconfdir/rpm/macros.d/%name$
__EOF__

%find_lang %name

%post
%gconf2_install %name
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
#%dir %_libexecdir
#%_libexecdir/*
%_libdir/bonobo/servers/*
%_datadir/applications/*
%_datadir/%name
%_iconsdir/hicolor/192x192/apps/yelp-icon-big.png
%_menudir/*
%_sysconfdir/buildreqs/files/ignore.d/%name
%config %_sysconfdir/rpm/macros.d/%name
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog README NEWS TODO

%changelog
* Mon Jun 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Fri Apr 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.3-alt1.1
- build current cvs snapshot.

* Fri Jan 14 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.3-alt1
- 2.9.3

* Mon Jan 03 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.2-alt1
- 2.9.2

* Wed Oct 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.4-alt1
- 2.6.4

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.3-alt1
- 2.6.3

* Tue Aug 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Sun Jul 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1.1
- updated buildreqs to make buildable.

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Tue Mar 09 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.90-alt1
- 2.5.90

* Wed Feb 25 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.6-alt1
- 2.5.6

* Tue Feb 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.5-alt1
- 2.5.5

* Thu Feb 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Tue Nov 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.2-alt1
- 2.4.2

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6

* Thu Jul 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Wed Jun 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Tue Apr 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Mon Dec 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Sat Oct 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Tue Sep 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.6-alt1
- 1.0.6
- Group changed.

* Fri Jun 21 2002 Igor Androsov <blake@altlinux.ru> 1.0.1-alt1
- New version
- Fix Requires and BuildPreReq section
- Fix files section
- Cosmetic changes spec

* Wed Jun 19 2002 Igor Androsov <blake@altlinux.ru> 1.0-alt1
- Initial build for AltLinux
- Added make_build
- Added Icons for Menu
- Added menu file

* Sun May 19 2002 Igor Androsov <blace@mail.ru> 0.7.0-blk1
- New version from CVS
- Created spec
